Announcement

Collapse
No announcement yet.

Superlab Versioning

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Superlab Versioning

    Hi There,

    I'm trying to deploy SuperLab to many many Macs.

    However when our deployment software automatically queries the version number of the application bundle it does not return the actual version number of the software.

    v5.0 returns '5' as the version number
    v4.5.4 returns '4.5' as the version number

    The upshot of this is that if I deploy 4.5.4 it'll constantly attempt to 'upgrade' itself as whenever our deployment software checks what version is currently installed version it is told 4.5 from the App bundle.

    These versions are defined in the key CFBundleShortVersionString in the file
    /Application/Superlab 4.5.app/Contents/Info.plist

    Can these be changed to be uniform version numbers, i.e. 5.0.0, 5.0.1, 5.0.2 and 4.5.0, 4.5.1, 4.5.2, 4.5.3, 4.5.4 so that software can use the version numbers in an intelligent way?

    Also the key that defines the minimum system requirements 'LSMinimumSystemVersion' is set to 10.3.9 which doesn't match what the website says about compatibility. Our deployment software is also using this and attempting to install on 10.3.9 machines or above.

    thanks,
    Craig

  • #2
    Thank you for the feedback. Going forward, we will update our Info.plist files with more precise information. I will email you directly with more information about how to update existing versions.

    Comment

    Working...
    X